Bug 1612659 (CVE-2018-10928) - CVE-2018-10928 glusterfs: Improper resolution of symlinks allows for privilege escalation
Summary: CVE-2018-10928 glusterfs: Improper resolution of symlinks allows for privileg...
Status: CLOSED ERRATA
Alias: CVE-2018-10928
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180904:0530...
Keywords: Security
Depends On: 1613683 1616829 1625068 1625071
Blocks: 1609600
TreeView+ depends on / blocked
 
Reported: 2018-08-06 05:52 UTC by Sam Fowler
Modified: 2019-06-11 11:13 UTC (History)
29 users (show)

(edit)
A flaw was found in RPC request using gfs3_symlink_req in glusterfs server which allows symlink destinations to point to file paths outside of the gluster volume. An authenticated attacker could use this flaw to create arbitrary symlinks pointing anywhere on the server and execute arbitrary code on glusterfs server nodes.
Clone Of:
(edit)
Last Closed: 2019-06-10 10:35:17 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:25 UTC
Red Hat Product Errata RHSA-2018:2608 None None None 2018-09-04 06:26 UTC
Red Hat Product Errata RHSA-2018:3470 None None None 2018-11-05 14:57 UTC

Description Sam Fowler 2018-08-06 05:52:44 UTC
The Gluster filesystem allows for symlink destinations to point to filepaths outside of the mounted volume. An attacker could exploit this via a crafted request to create arbitrary files and subsequently execute arbitrary privileged commands.

Comment 1 Sam Fowler 2018-08-06 05:52:54 UTC
Acknowledgments:

Name: Michael Hanselmann (hansmi.ch)

Comment 5 Doran Moppert 2018-08-16 01:54:53 UTC
Statement:

This issue did not affect Red Hat Enterprise Linux 6 and 7 as the flaw is present in glusterfs-server, which is not shipped there.

This flaw affects glusterfs versions included in Red Hat Virtualization 4 Hypervisor. However, in recommended configurations, the vulnerability is only exposed to hypervisor administrators and can not be exploited from virtual machines or other hosts on the network. For Red Hat Virtualization, Product Security has rated this flaw as Moderate. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 7 Siddharth Sharma 2018-09-04 05:39:13 UTC
Created glusterfs tracking bugs for this issue:

Affects: fedora-all [bug 1625068]

Comment 9 errata-xmlrpc 2018-09-04 06:25:09 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.4 for RHEL 7
  Native Client for RHEL 7 for Red Hat Storage

Via RHSA-2018:2607 https://access.redhat.com/errata/RHSA-2018:2607

Comment 10 errata-xmlrpc 2018-09-04 06:26:33 UTC
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.4 for RHEL 6
  Native Client for RHEL 6 for Red Hat Storage

Via RHSA-2018:2608 https://access.redhat.com/errata/RHSA-2018:2608

Comment 11 Siddharth Sharma 2018-09-04 14:58:00 UTC
Mitigation:

To limit exposure of gluster server nodes :  

1. gluster server should be on LAN and not reachable from public networks.  
2. Use gluster auth.allow and auth.reject.  
3. Use TLS certificates to authenticate gluster clients.

caveat: This does not protect from attacks by authenticated gluster clients.

Comment 12 Siddharth Sharma 2018-09-05 07:46:13 UTC
upstream fix:

https://review.gluster.org/21068

Comment 13 errata-xmlrpc 2018-11-05 14:57:27 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization 4 for Red Hat Enterprise Linux 7

Via RHSA-2018:3470 https://access.redhat.com/errata/RHSA-2018:3470


Note You need to log in before you can comment on or make changes to this bug.